Manifest-Version: 1.0
Bnd-LastModified: 1754080244830
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Commerce Discount Service
Bundle-SymbolicName: com.liferay.commerce.discount.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.65.hotfix-6834-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.account.model;version="5.5",com.liferay.ac
 count.service;version="10.2",com.liferay.asset.kernel.model;version="
 10.0",com.liferay.asset.kernel.service;version="10.0",com.liferay.com
 merce.context;version="12.0",com.liferay.commerce.currency.model;vers
 ion="7.0",com.liferay.commerce.discount;version="3.0",com.liferay.com
 merce.discount.application.strategy;version="2.0",com.liferay.commerc
 e.discount.configuration;version="1.0",com.liferay.commerce.discount.
 exception;version="3.2",com.liferay.commerce.discount.model;version="
 6.0",com.liferay.commerce.discount.permission;version="1.0",com.lifer
 ay.commerce.discount.rule.type;version="2.0",com.liferay.commerce.dis
 count.service;version="8.2",com.liferay.commerce.discount.service.per
 sistence;version="5.1",com.liferay.commerce.discount.target;version="
 2.0",com.liferay.commerce.discount.util.comparator;version="2.0",com.
 liferay.commerce.discount.validator;version="1.0",com.liferay.commerc
 e.discount.validator.helper;version="1.0",com.liferay.commerce.model;
 version="17.1",com.liferay.commerce.price;version="7.0",com.liferay.c
 ommerce.price.list.model;version="8.0",com.liferay.commerce.price.lis
 t.service;version="14.0",com.liferay.commerce.pricing.configuration;v
 ersion="1.0",com.liferay.commerce.pricing.model;version="4.2",com.lif
 eray.commerce.pricing.service;version="6.2",com.liferay.commerce.prod
 uct.model;version="22.1",com.liferay.commerce.product.service;version
 ="38.2",com.liferay.commerce.service;version="34.0",com.liferay.comme
 rce.util;version="10.0",com.liferay.counter.kernel.service;version="2
 .2",com.liferay.expando.kernel.model;version="6.0",com.liferay.expand
 o.kernel.service;version="1.10",com.liferay.expando.kernel.util;versi
 on="5.0",com.liferay.exportimport.kernel.lar;version="5.0",com.lifera
 y.osgi.service.tracker.collections.list;version="3.0",com.liferay.osg
 i.service.tracker.collections.map;version="2.3",com.liferay.petra.fun
 ction;version="1.5",com.liferay.petra.function.transform;version="1.3
 ",com.liferay.petra.lang;version="1.3",com.liferay.petra.sql.dsl;vers
 ion="1.2",com.liferay.petra.sql.dsl.expression;version="2.0",com.life
 ray.petra.sql.dsl.query;version="2.0",com.liferay.petra.sql.dsl.query
 .sort;version="1.0",com.liferay.petra.string;version="1.7",com.lifera
 y.portal.aop;version="1.0",com.liferay.portal.configuration.metatype.
 bnd.util;version="3.0",com.liferay.portal.dao.orm.custom.sql;version=
 "1.1",com.liferay.portal.kernel.bean;version="10.1",com.liferay.porta
 l.kernel.change.tracking;version="2.2",com.liferay.portal.kernel.conf
 iguration;version="7.0",com.liferay.portal.kernel.dao.db;version="14.
 0",com.liferay.portal.kernel.dao.jdbc;version="9.0",com.liferay.porta
 l.kernel.dao.orm;version="12.0",com.liferay.portal.kernel.exception;v
 ersion="13.3",com.liferay.portal.kernel.json;version="12.1",com.lifer
 ay.portal.kernel.language;version="11.0",com.liferay.portal.kernel.lo
 g;version="8.0",com.liferay.portal.kernel.model;version="30.4",com.li
 feray.portal.kernel.model.impl;version="7.4",com.liferay.portal.kerne
 l.module.configuration;version="2.1",com.liferay.portal.kernel.module
 .framework.service;version="1.0",com.liferay.portal.kernel.scheduler;
 version="18.1",com.liferay.portal.kernel.search;version="20.2",com.li
 feray.portal.kernel.search.filter;version="1.0",com.liferay.portal.ke
 rnel.security.auth;version="6.1",com.liferay.portal.kernel.security.p
 ermission;version="7.0",com.liferay.portal.kernel.security.permission
 .resource;version="2.3",com.liferay.portal.kernel.service;version="25
 .1",com.liferay.portal.kernel.service.http;version="1.0",com.liferay.
 portal.kernel.service.persistence;version="22.1",com.liferay.portal.k
 ernel.service.persistence.impl;version="4.1",com.liferay.portal.kerne
 l.systemevent;version="6.2",com.liferay.portal.kernel.transaction;ver
 sion="8.1",com.liferay.portal.kernel.upgrade;version="21.2",com.lifer
 ay.portal.kernel.util;version="63.0",com.liferay.portal.kernel.uuid;v
 ersion="6.2",com.liferay.portal.kernel.workflow;version="21.0",com.li
 feray.portal.search.filter;version="1.4",com.liferay.portal.upgrade.r
 egistry;version="5.0",javax.portlet,javax.sql,org.osgi.framework;vers
 ion="1.8",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Commerce
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: commerce
Liferay-Releng-Suite-Description: This suite is available in the Lifer
 ay bundle.
Liferay-Releng-Suite-Title: Liferay Commerce
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 2.8.1
Liferay-Service: true
Private-Package: com.liferay.commerce.discount.internal,com.liferay.co
 mmerce.discount.internal.application.strategy,com.liferay.commerce.di
 scount.internal.model.listener,com.liferay.commerce.discount.internal
 .permission,com.liferay.commerce.discount.internal.rule.type,com.life
 ray.commerce.discount.internal.rule.type.comparator,com.liferay.comme
 rce.discount.internal.scheduler,com.liferay.commerce.discount.interna
 l.search,com.liferay.commerce.discount.internal.security.permission.r
 esource,com.liferay.commerce.discount.internal.target,com.liferay.com
 merce.discount.internal.target.comparator,com.liferay.commerce.discou
 nt.internal.upgrade.registry,com.liferay.commerce.discount.internal.u
 pgrade.v2_0_0.util,com.liferay.commerce.discount.internal.upgrade.v2_
 2_0,com.liferay.commerce.discount.internal.upgrade.v2_2_0.util,com.li
 feray.commerce.discount.internal.upgrade.v2_4_0,com.liferay.commerce.
 discount.internal.upgrade.v2_4_1,com.liferay.commerce.discount.intern
 al.upgrade.v2_6_0.util,com.liferay.commerce.discount.internal.validat
 or,com.liferay.commerce.discount.internal.validator.comparator,com.li
 feray.commerce.discount.internal.validator.helper,com.liferay.commerc
 e.discount.internal.workflow,com.liferay.commerce.discount.model.impl
 ,com.liferay.commerce.discount.service.base,com.liferay.commerce.disc
 ount.service.http,com.liferay.commerce.discount.service.impl,com.life
 ray.commerce.discount.service.persistence.impl,com.liferay.commerce.d
 iscount.service.persistence.impl.constants,resource-actions
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .commerce.discount.CommerceDiscountCalculation";uses:="com.liferay.co
 mmerce.discount",osgi.service;objectClass:List<String>="com.liferay.c
 ommerce.discount.application.strategy.CommerceDiscountApplicationStra
 tegy";uses:="com.liferay.commerce.discount.application.strategy",osgi
 .service;objectClass:List<String>="com.liferay.commerce.discount.appl
 ication.strategy.CommerceDiscountApplicationStrategyRegistry";uses:="
 com.liferay.commerce.discount.application.strategy",osgi.service;obje
 ctClass:List<String>="com.liferay.commerce.discount.permission.Commer
 ceDiscountPermission";uses:="com.liferay.commerce.discount.permission
 ",osgi.service;objectClass:List<String>="com.liferay.commerce.discoun
 t.rule.type.CommerceDiscountRuleType";uses:="com.liferay.commerce.dis
 count.rule.type",osgi.service;objectClass:List<String>="com.liferay.c
 ommerce.discount.rule.type.CommerceDiscountRuleTypeJSPContributorRegi
 stry";uses:="com.liferay.commerce.discount.rule.type",osgi.service;ob
 jectClass:List<String>="com.liferay.commerce.discount.rule.type.Comme
 rceDiscountRuleTypeRegistry";uses:="com.liferay.commerce.discount.rul
 e.type",osgi.service;objectClass:List<String>="com.liferay.commerce.d
 iscount.service.persistence.CommerceDiscountAccountRelFinder";uses:="
 com.liferay.commerce.discount.service.persistence",osgi.service;objec
 tClass:List<String>="com.liferay.commerce.discount.service.persistenc
 e.CommerceDiscountAccountRelPersistence";uses:="com.liferay.commerce.
 discount.service.persistence",osgi.service;objectClass:List<String>="
 com.liferay.commerce.discount.service.persistence.CommerceDiscountCom
 merceAccountGroupRelFinder";uses:="com.liferay.commerce.discount.serv
 ice.persistence",osgi.service;objectClass:List<String>="com.liferay.c
 ommerce.discount.service.persistence.CommerceDiscountCommerceAccountG
 roupRelPersistence";uses:="com.liferay.commerce.discount.service.pers
 istence",osgi.service;objectClass:List<String>="com.liferay.commerce.
 discount.service.persistence.CommerceDiscountFinder";uses:="com.lifer
 ay.commerce.discount.service.persistence",osgi.service;objectClass:Li
 st<String>="com.liferay.commerce.discount.service.persistence.Commerc
 eDiscountOrderTypeRelPersistence";uses:="com.liferay.commerce.discoun
 t.service.persistence",osgi.service;objectClass:List<String>="com.lif
 eray.commerce.discount.service.persistence.CommerceDiscountPersistenc
 e";uses:="com.liferay.commerce.discount.service.persistence",osgi.ser
 vice;objectClass:List<String>="com.liferay.commerce.discount.service.
 persistence.CommerceDiscountRelFinder";uses:="com.liferay.commerce.di
 scount.service.persistence",osgi.service;objectClass:List<String>="co
 m.liferay.commerce.discount.service.persistence.CommerceDiscountRelPe
 rsistence";uses:="com.liferay.commerce.discount.service.persistence",
 osgi.service;objectClass:List<String>="com.liferay.commerce.discount.
 service.persistence.CommerceDiscountRuleFinder";uses:="com.liferay.co
 mmerce.discount.service.persistence",osgi.service;objectClass:List<St
 ring>="com.liferay.commerce.discount.service.persistence.CommerceDisc
 ountRulePersistence";uses:="com.liferay.commerce.discount.service.per
 sistence",osgi.service;objectClass:List<String>="com.liferay.commerce
 .discount.service.persistence.CommerceDiscountUsageEntryPersistence";
 uses:="com.liferay.commerce.discount.service.persistence",osgi.servic
 e;objectClass:List<String>="com.liferay.commerce.discount.target.Comm
 erceDiscountProductTarget";uses:="com.liferay.commerce.discount.targe
 t",osgi.service;objectClass:List<String>="com.liferay.commerce.discou
 nt.target.CommerceDiscountTarget";uses:="com.liferay.commerce.discoun
 t.target",osgi.service;objectClass:List<String>="com.liferay.commerce
 .discount.target.CommerceDiscountTargetRegistry";uses:="com.liferay.c
 ommerce.discount.target",osgi.service;objectClass:List<String>="com.l
 iferay.commerce.discount.validator.CommerceDiscountValidator";uses:="
 com.liferay.commerce.discount.validator",osgi.service;objectClass:Lis
 t<String>="com.liferay.commerce.discount.validator.CommerceDiscountVa
 lidatorRegistry";uses:="com.liferay.commerce.discount.validator",osgi
 .service;objectClass:List<String>="com.liferay.commerce.discount.vali
 dator.helper.CommerceDiscountValidatorHelper";uses:="com.liferay.comm
 erce.discount.validator.helper",osgi.service;objectClass:List<String>
 ="com.liferay.portal.aop.AopService";uses:="com.liferay.portal.aop",o
 sgi.service;objectClass:List<String>="com.liferay.portal.kernel.dao.o
 rm.ArgumentsResolver";uses:="com.liferay.portal.kernel.dao.orm",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.model.Mod
 elListener";uses:="com.liferay.portal.kernel.model",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.kernel.scheduler.SchedulerJo
 bConfiguration";uses:="com.liferay.portal.kernel.scheduler",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.kernel.search.Indexe
 r";uses:="com.liferay.portal.kernel.search",osgi.service;objectClass:
 List<String>="com.liferay.portal.kernel.security.permission.resource.
 ModelResourcePermission";uses:="com.liferay.portal.kernel.security.pe
 rmission.resource",osgi.service;objectClass:List<String>="com.liferay
 .portal.kernel.workflow.WorkflowHandler";uses:="com.liferay.portal.ke
 rnel.workflow",osgi.service;objectClass:List<String>="com.liferay.por
 tal.upgrade.registry.UpgradeStepRegistrator";uses:="com.liferay.porta
 l.upgrade.registry",osgi.service;objectClass:List<String>="com.lifera
 y.commerce.discount.service.CommerceDiscountAccountRelLocalService",o
 sgi.service;objectClass:List<String>="com.liferay.commerce.discount.s
 ervice.CommerceDiscountAccountRelService",osgi.service;objectClass:Li
 st<String>="com.liferay.commerce.discount.service.CommerceDiscountCom
 merceAccountGroupRelLocalService",osgi.service;objectClass:List<Strin
 g>="com.liferay.commerce.discount.service.CommerceDiscountCommerceAcc
 ountGroupRelService",osgi.service;objectClass:List<String>="com.lifer
 ay.commerce.discount.service.CommerceDiscountLocalService",osgi.servi
 ce;objectClass:List<String>="com.liferay.commerce.discount.service.Co
 mmerceDiscountOrderTypeRelLocalService",osgi.service;objectClass:List
 <String>="com.liferay.commerce.discount.service.CommerceDiscountOrder
 TypeRelService",osgi.service;objectClass:List<String>="com.liferay.co
 mmerce.discount.service.CommerceDiscountRelLocalService",osgi.service
 ;objectClass:List<String>="com.liferay.commerce.discount.service.Comm
 erceDiscountRelService",osgi.service;objectClass:List<String>="com.li
 feray.commerce.discount.service.CommerceDiscountRuleLocalService",osg
 i.service;objectClass:List<String>="com.liferay.commerce.discount.ser
 vice.CommerceDiscountRuleService",osgi.service;objectClass:List<Strin
 g>="com.liferay.commerce.discount.service.CommerceDiscountService",os
 gi.service;objectClass:List<String>="com.liferay.commerce.discount.se
 rvice.CommerceDiscountUsageEntryLocalService"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.account.service.AccountGroupLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.asset.ker
 nel.service.AssetEntryLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.commerce.currency.model.CommerceMone
 yFactory)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.commerce.discount.application.strategy.CommerceDiscountApplica
 tionStrategyRegistry)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.commerce.discount.permission.CommerceDiscountPermi
 ssion)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.commerce.discount.rule.type.CommerceDiscountRuleTypeRegistry)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.commer
 ce.discount.service.CommerceDiscountAccountRelLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.commerce.dis
 count.service.CommerceDiscountCommerceAccountGroupRelLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.comme
 rce.discount.service.CommerceDiscountLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.commerce.discount.ser
 vice.CommerceDiscountOrderTypeRelLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.commerce.discount.service
 .CommerceDiscountRelLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.commerce.discount.service.CommerceDisc
 ountRuleLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.commerce.discount.service.CommerceDiscountUsageEnt
 ryLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.commerce.discount.service.persistence.CommerceDiscountAc
 countRelFinder)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.commerce.discount.service.persistence.CommerceDiscountAc
 countRelPersistence)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.commerce.discount.service.persistence.CommerceDisco
 untCommerceAccountGroupRelFinder)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.commerce.discount.service.persistence.
 CommerceDiscountCommerceAccountGroupRelPersistence)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.commerce.discount.se
 rvice.persistence.CommerceDiscountFinder)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.commerce.discount.service.pers
 istence.CommerceDiscountOrderTypeRelPersistence)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.commerce.discount.servi
 ce.persistence.CommerceDiscountPersistence)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.commerce.discount.service.pe
 rsistence.CommerceDiscountRelFinder)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.commerce.discount.service.persisten
 ce.CommerceDiscountRelPersistence)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.commerce.discount.service.persistence
 .CommerceDiscountRuleFinder)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.commerce.discount.service.persistence.Comme
 rceDiscountRulePersistence)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.commerce.discount.service.persistence.Commer
 ceDiscountUsageEntryPersistence)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.commerce.discount.target.CommerceDiscou
 ntTargetRegistry)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.commerce.discount.validator.CommerceDiscountValidatorR
 egistry)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.commerce.discount.validator.helper.CommerceDiscountValidatorHel
 per)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.commerce.price.CommerceOrderPriceCalculation)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.commerce.price.list.serv
 ice.CommercePriceListDiscountRelLocalService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.commerce.pricing.service.C
 ommercePricingClassLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.commerce.product.service.CPDefinitionLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.commerce.product.service.CPInstanceLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.commerce.produ
 ct.service.CommerceChannelAccountEntryRelLocalService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.commerce.product.
 service.CommerceChannelLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.commerce.product.service.CommerceCh
 annelRelLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.commerce.product.service.CommerceChannelService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.comm
 erce.service.CommerceOrderLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.counter.kernel.service.CounterLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.expando.kernel.service.ExpandoRowLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.dao.orm.c
 ustom.sql.CustomSQL)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.configuration.Configuration)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.dao.orm.EntityCache)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.dao.orm.FinderCache)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.da
 o.orm.SessionFactory)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.language.Language)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.module
 .configuration.ConfigurationProvider)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.search.IndexWriterHe
 lper)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.security.permission.resource.ModelResourcePermission
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.security.permission.resource.PortletResourcePermission)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.service.ClassNameLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.service.Resource
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.service.UserLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service
 .WorkflowDefinitionLinkLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.service.WorkflowInsta
 nceLinkLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.util.Portal)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.uuid.PortalUU
 ID)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.search.filter.FilterBuilders)";effective:=active,osgi.service
 ;filter:="(objectClass=javax.sql.DataSource)";effective:=active,osgi.
 contract;osgi.contract=JavaPortlet;filter:="(&(osgi.contract=JavaPort
 let)(version=3.0.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8
 ))"
Service-Component: OSGI-INF/com.liferay.commerce.discount.internal.Com
 merceDiscountCalculationV2Impl.xml,OSGI-INF/com.liferay.commerce.disc
 ount.internal.application.strategy.AdditionCommerceDiscountApplicatio
 nStrategyImpl.xml,OSGI-INF/com.liferay.commerce.discount.internal.app
 lication.strategy.ChainCommerceDiscountApplicationStrategyImpl.xml,OS
 GI-INF/com.liferay.commerce.discount.internal.application.strategy.Co
 mmerceDiscountApplicationStrategyRegistryImpl.xml,OSGI-INF/com.lifera
 y.commerce.discount.internal.model.listener.AccountGroupModelListener
 .xml,OSGI-INF/com.liferay.commerce.discount.internal.model.listener.A
 ssetCategoryModelListener.xml,OSGI-INF/com.liferay.commerce.discount.
 internal.model.listener.CPDefinitionModelListener.xml,OSGI-INF/com.li
 feray.commerce.discount.internal.model.listener.CommerceChannelRelMod
 elListener.xml,OSGI-INF/com.liferay.commerce.discount.internal.model.
 listener.CompanyModelListener.xml,OSGI-INF/com.liferay.commerce.disco
 unt.internal.permission.CommerceDiscountPermissionImpl.xml,OSGI-INF/c
 om.liferay.commerce.discount.internal.rule.type.AddedAllCommerceDisco
 untRuleTypeImpl.xml,OSGI-INF/com.liferay.commerce.discount.internal.r
 ule.type.AddedAnyCommerceDiscountRuleTypeImpl.xml,OSGI-INF/com.lifera
 y.commerce.discount.internal.rule.type.CartTotalCommerceDiscountRuleT
 ypeImpl.xml,OSGI-INF/com.liferay.commerce.discount.internal.rule.type
 .CommerceDiscountRuleTypeJSPContributorRegistryImpl.xml,OSGI-INF/com.
 liferay.commerce.discount.internal.rule.type.CommerceDiscountRuleType
 RegistryImpl.xml,OSGI-INF/com.liferay.commerce.discount.internal.sche
 duler.CheckCommerceDiscountSchedulerJobConfiguration.xml,OSGI-INF/com
 .liferay.commerce.discount.internal.search.CommerceDiscountIndexer.xm
 l,OSGI-INF/com.liferay.commerce.discount.internal.security.permission
 .resource.CommerceDiscountAccountRelModelResourcePermission.xml,OSGI-
 INF/com.liferay.commerce.discount.internal.security.permission.resour
 ce.CommerceDiscountCommerceAccountGroupRelModelResourcePermission.xml
 ,OSGI-INF/com.liferay.commerce.discount.internal.security.permission.
 resource.CommerceDiscountModelResourcePermission.xml,OSGI-INF/com.lif
 eray.commerce.discount.internal.security.permission.resource.Commerce
 DiscountOrderTypeRelModelResourcePermission.xml,OSGI-INF/com.liferay.
 commerce.discount.internal.security.permission.resource.CommerceDisco
 untRelModelResourcePermission.xml,OSGI-INF/com.liferay.commerce.disco
 unt.internal.security.permission.resource.CommerceDiscountRuleModelRe
 sourcePermission.xml,OSGI-INF/com.liferay.commerce.discount.internal.
 target.ApplyToCategoriesCommerceDiscountProductTarget.xml,OSGI-INF/co
 m.liferay.commerce.discount.internal.target.ApplyToCategoriesCommerce
 DiscountTarget.xml,OSGI-INF/com.liferay.commerce.discount.internal.ta
 rget.ApplyToPricingClassCommerceDiscountProductTarget.xml,OSGI-INF/co
 m.liferay.commerce.discount.internal.target.ApplyToPricingClassCommer
 ceDiscountTarget.xml,OSGI-INF/com.liferay.commerce.discount.internal.
 target.ApplyToProductCommerceDiscountProductTarget.xml,OSGI-INF/com.l
 iferay.commerce.discount.internal.target.ApplyToProductCommerceDiscou
 ntTarget.xml,OSGI-INF/com.liferay.commerce.discount.internal.target.A
 pplyToSKUCommerceDiscountTarget.xml,OSGI-INF/com.liferay.commerce.dis
 count.internal.target.ApplyToShippingCommerceDiscountTarget.xml,OSGI-
 INF/com.liferay.commerce.discount.internal.target.ApplyToSubtotalComm
 erceDiscountTarget.xml,OSGI-INF/com.liferay.commerce.discount.interna
 l.target.ApplyToTotalCommerceDiscountTarget.xml,OSGI-INF/com.liferay.
 commerce.discount.internal.target.CommerceDiscountTargetRegistryImpl.
 xml,OSGI-INF/com.liferay.commerce.discount.internal.upgrade.registry.
 CommerceDiscountServiceUpgradeStepRegistrator.xml,OSGI-INF/com.lifera
 y.commerce.discount.internal.validator.CommerceDiscountValidatorRegis
 tryImpl.xml,OSGI-INF/com.liferay.commerce.discount.internal.validator
 .DefaultCommerceDiscountValidator.xml,OSGI-INF/com.liferay.commerce.d
 iscount.internal.validator.OrderCommerceDiscountValidator.xml,OSGI-IN
 F/com.liferay.commerce.discount.internal.validator.QualifiersCommerce
 DiscountValidator.xml,OSGI-INF/com.liferay.commerce.discount.internal
 .validator.RulesCommerceDiscountValidator.xml,OSGI-INF/com.liferay.co
 mmerce.discount.internal.validator.helper.CommerceDiscountValidatorHe
 lperImpl.xml,OSGI-INF/com.liferay.commerce.discount.internal.workflow
 .CommerceDiscountWorkflowHandler.xml,OSGI-INF/com.liferay.commerce.di
 scount.service.impl.CommerceDiscountAccountRelLocalServiceImpl.xml,OS
 GI-INF/com.liferay.commerce.discount.service.impl.CommerceDiscountAcc
 ountRelServiceImpl.xml,OSGI-INF/com.liferay.commerce.discount.service
 .impl.CommerceDiscountCommerceAccountGroupRelLocalServiceImpl.xml,OSG
 I-INF/com.liferay.commerce.discount.service.impl.CommerceDiscountComm
 erceAccountGroupRelServiceImpl.xml,OSGI-INF/com.liferay.commerce.disc
 ount.service.impl.CommerceDiscountLocalServiceImpl.xml,OSGI-INF/com.l
 iferay.commerce.discount.service.impl.CommerceDiscountOrderTypeRelLoc
 alServiceImpl.xml,OSGI-INF/com.liferay.commerce.discount.service.impl
 .CommerceDiscountOrderTypeRelServiceImpl.xml,OSGI-INF/com.liferay.com
 merce.discount.service.impl.CommerceDiscountRelLocalServiceImpl.xml,O
 SGI-INF/com.liferay.commerce.discount.service.impl.CommerceDiscountRe
 lServiceImpl.xml,OSGI-INF/com.liferay.commerce.discount.service.impl.
 CommerceDiscountRuleLocalServiceImpl.xml,OSGI-INF/com.liferay.commerc
 e.discount.service.impl.CommerceDiscountRuleServiceImpl.xml,OSGI-INF/
 com.liferay.commerce.discount.service.impl.CommerceDiscountServiceImp
 l.xml,OSGI-INF/com.liferay.commerce.discount.service.impl.CommerceDis
 countUsageEntryLocalServiceImpl.xml,OSGI-INF/com.liferay.commerce.dis
 count.service.persistence.impl.CommerceDiscountAccountRelFinderImpl.x
 ml,OSGI-INF/com.liferay.commerce.discount.service.persistence.impl.Co
 mmerceDiscountAccountRelModelArgumentsResolver.xml,OSGI-INF/com.lifer
 ay.commerce.discount.service.persistence.impl.CommerceDiscountAccount
 RelPersistenceImpl.xml,OSGI-INF/com.liferay.commerce.discount.service
 .persistence.impl.CommerceDiscountCommerceAccountGroupRelFinderImpl.x
 ml,OSGI-INF/com.liferay.commerce.discount.service.persistence.impl.Co
 mmerceDiscountCommerceAccountGroupRelModelArgumentsResolver.xml,OSGI-
 INF/com.liferay.commerce.discount.service.persistence.impl.CommerceDi
 scountCommerceAccountGroupRelPersistenceImpl.xml,OSGI-INF/com.liferay
 .commerce.discount.service.persistence.impl.CommerceDiscountFinderImp
 l.xml,OSGI-INF/com.liferay.commerce.discount.service.persistence.impl
 .CommerceDiscountModelArgumentsResolver.xml,OSGI-INF/com.liferay.comm
 erce.discount.service.persistence.impl.CommerceDiscountOrderTypeRelMo
 delArgumentsResolver.xml,OSGI-INF/com.liferay.commerce.discount.servi
 ce.persistence.impl.CommerceDiscountOrderTypeRelPersistenceImpl.xml,O
 SGI-INF/com.liferay.commerce.discount.service.persistence.impl.Commer
 ceDiscountPersistenceImpl.xml,OSGI-INF/com.liferay.commerce.discount.
 service.persistence.impl.CommerceDiscountRelFinderImpl.xml,OSGI-INF/c
 om.liferay.commerce.discount.service.persistence.impl.CommerceDiscoun
 tRelModelArgumentsResolver.xml,OSGI-INF/com.liferay.commerce.discount
 .service.persistence.impl.CommerceDiscountRelPersistenceImpl.xml,OSGI
 -INF/com.liferay.commerce.discount.service.persistence.impl.CommerceD
 iscountRuleFinderImpl.xml,OSGI-INF/com.liferay.commerce.discount.serv
 ice.persistence.impl.CommerceDiscountRuleModelArgumentsResolver.xml,O
 SGI-INF/com.liferay.commerce.discount.service.persistence.impl.Commer
 ceDiscountRulePersistenceImpl.xml,OSGI-INF/com.liferay.commerce.disco
 unt.service.persistence.impl.CommerceDiscountUsageEntryModelArguments
 Resolver.xml,OSGI-INF/com.liferay.commerce.discount.service.persisten
 ce.impl.CommerceDiscountUsageEntryPersistenceImpl.xml
Tool: Bnd-5.3.0.202102221516

